import { type MaybeRefOrGetter, useSSRContext } from "vue";

export type DJSSRContext = {
    head: {
        title: MaybeRefOrGetter<string>;
    };
    registry: Record<string, unknown>;
};

export default function useDJSSRContext() {
    return useSSRContext<DJSSRContext>();
}
